Automations · Broadcasts

Create broadcast draft

Creates a broadcast draft.

POSThttps://api.pozy.ai/v1/broadcasts
createBroadcast

Guides: Broadcasts, WhatsApp, WhatsApp broadcasts

Request

Send your API key as Authorization: Bearer pz_live_.... Read-only keys cannot call it. Keys with the messages resource group disabled get 403 resource_group_disabled. Authentication

Request body

application/json, required

  • profileIdstringrequired
  • accountIdstringrequired
  • platformstringrequired

    One of instagram, facebook, telegram, twitter, bluesky, reddit, whatsapp, sms, slack, imessage.

  • namestringrequired
  • descriptionstring
  • messageobject
    • textstring
    • attachmentsarray of object

      Up to 10 items.

      3 child fields
      • typestring
      • urlstring
      • filenamestring
    • messageTagstring

      One of CONFIRMED_EVENT_UPDATE, POST_PURCHASE_UPDATE, ACCOUNT_UPDATE, HUMAN_AGENT.

  • templateobject
    • namestring
    • languagestring
    • componentsarray of object
    • variableMappingmap of object

      Keys are free-form; each value has these fields.

      2 child fields
      • fieldstring

        One of name, phone, email, company, custom.

      • customValuestring
  • segmentFiltersobject
    • tagsarray of string
    • isSubscribedboolean
    • customFieldsobject

Example

curl -X POST "https://api.pozy.ai/v1/broadcasts" \
  -H "Authorization: Bearer $POZY_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
  "profileId": "6a0b6573846efc28aaa9a3ff",
  "accountId": "696e0b682d0a31188e7a2ba9",
  "platform": "instagram",
  "name": "Acme"
}'

Response

200 on success

  • successboolean
  • broadcastobject
    7 child fields
    • idstring
    • namestring
    • descriptionstring
    • platformstring
    • accountIdstring
    • statusstring
    • createdAtstring (date-time)
200 response
{
  "success": true,
  "broadcast": {
    "id": "6bfebd43ddc270f6d2c56fc5",
    "name": "Acme",
    "description": "A short description",
    "platform": "instagram",
    "accountId": "696e0b682d0a31188e7a2ba9",
    "status": "active",
    "createdAt": "2026-10-02T09:00:00.000Z"
  }
}

Errors

Errors use one shape: { error, type, code, param?, details? }. The ones you are most likely to see here:

400invalid_request_errorA parameter or body field is missing or invalid. param names it.
401authentication_errorThe API key is missing, revoked or expired.
403permission_errorThe key is read-only, scoped to other profiles, or has this resource group disabled.
429rate_limit_errorToo many requests this minute. Wait for Retry-After seconds.

Every code is listed in Errors.

More in Broadcasts